﻿using Finetooling.DAL.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataAcquisitionCardDemo.ADC
{
   public class ADCConfig
    {
        // 名称
        public string Name { get; set; }
        // 当前设备
        public string Device { get; set; }
        // 当前通道
        public int Channel { get; set; }
        // 采样率
        public int SampleRate { get; set; }
        // 分辨率
        public int Resolution { get; set; }
        // 信号类型
        public ADCSignelType SignalType { get; set; }
        // 采样模式
        public ADCSampleMode SampleMode { get; set; }
        // 通道模式
        public ADCChannelMode ChannelMode { get; set; }
        // 数据长度
        public int Length { get; set; }
        // 是否显示波形
        public bool IsUpdate { get; set; }
        // 最大采集幅度
        public double Amplitude { get; set; }
        public byte Range { get; set; }
    }
}
