﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ZhDZ.IniUtils;

namespace DataAcquisitionCardDemo.View
{
    public partial class LoginForm : Form
    {
        private const string DefPassword = "88888888";
        private string password = "";
        public LoginForm()
        {
            InitializeComponent();

            password = IniHelp.GetValue(IniHelp.Key_Password, "");
            if (password == "")
            {
                password = DefPassword;
                IniHelp.SetValue(IniHelp.Key_Password, DefPassword);
            }
        }

        private void login()
        {
            string passwordStr = txtPassword.Text;
            if (passwordStr == password)
            {
                this.DialogResult = DialogResult.Yes;
            }
            else
            {
                txtPassword.Focus();
            }
        }

        private void btnLogin_Click(object sender, EventArgs e)
        {
            login();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }

        private void txtPassword_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                login();
            }
        }
    }
}
